#!/bin/sh
SCRIPTS_PATH=$1
MCSV_PRODUCT_PATH=$2

TEK_META_CONTENT_SECURITY_POLICY=$3
TEK_UPGRADE_INSECURE_REQUESTS=$4
SERVER_URL_PAR=$5
PAR_METADATA_ENDPOINT=$6
ENVIRONMENT_BASE_URI=$7
SESSION_TIME_PAR=$8

cd $MCSV_PRODUCT_PATH/frontend

$SCRIPTS_PATH/replace.sh "<>VUE_APP_META_CONTENT_SECURITY_POLICY<>" "$TEK_META_CONTENT_SECURITY_POLICY"  ".env.production"
$SCRIPTS_PATH/replace.sh "<>VUE_APP_UPGRADE_INSECURE_REQUESTS<>" "$TEK_UPGRADE_INSECURE_REQUESTS"        ".env.production"

cat .env.production

cd $MCSV_PRODUCT_PATH/frontend/src/config

$SCRIPTS_PATH/replace.sh "<>SERVER_URL_PAR<>" "$SERVER_URL_PAR"                  "prodEnvironment.json"
$SCRIPTS_PATH/replace.sh "<>PAR_METADATA_ENDPOINT<>" "$PAR_METADATA_ENDPOINT"    "prodEnvironment.json"
$SCRIPTS_PATH/replace.sh "<>ENVIRONMENT_BASE_URI<>" "$ENVIRONMENT_BASE_URI"      "prodEnvironment.json"
$SCRIPTS_PATH/replace.sh "<>SESSION_TIME<>" "$SESSION_TIME_PAR"                  "prodEnvironment.json"

cat prodEnvironment.json

cp $MCSV_PRODUCT_PATH/frontend/src/config/prodEnvironment.json  $MCSV_PRODUCT_PATH/frontend/src/config/devEnvironment.json
